package com.mortals.xhx.module.realtime.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.realtime.model.RealtimeDataflowEntity;
/**
 * 人员发现记录查询对象
 *
 * @author zxfei
 * @date 2023-04-16
 */
public class RealtimeDataflowQuery extends RealtimeDataflowEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 人员id */
    private Long personIdStart;

    /** 结束 人员id */
    private Long personIdEnd;

    /** 增加 人员id */
    private Long personIdIncrement;

    /** 人员id列表 */
    private List <Long> personIdList;

    /** 人员id排除列表 */
    private List <Long> personIdNotList;

    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 监测设备 */
    private List<String> deviceList;

    /** 监测设备排除列表 */
    private List <String> deviceNotList;
    /** 开始 监测时间 */
    private String detectTimeStart;

    /** 结束 监测时间 */
    private String detectTimeEnd;

    /** 联系方式 */
    private List<String> contactList;

    /** 联系方式排除列表 */
    private List <String> contactNotList;
    /** 身份证号码 */
    private List<String> idNumberList;

    /** 身份证号码排除列表 */
    private List <String> idNumberNotList;
    /** 开始 是否预约(0.否，1.是) */
    private Integer isBookingStart;

    /** 结束 是否预约(0.否，1.是) */
    private Integer isBookingEnd;

    /** 增加 是否预约(0.否，1.是) */
    private Integer isBookingIncrement;

    /** 是否预约(0.否，1.是)列表 */
    private List <Integer> isBookingList;

    /** 是否预约(0.否，1.是)排除列表 */
    private List <Integer> isBookingNotList;

    /** 排队编码 */
    private List<String> queueNumList;

    /** 排队编码排除列表 */
    private List <String> queueNumNotList;
    /** 办理位置 */
    private List<String> locationList;

    /** 办理位置排除列表 */
    private List <String> locationNotList;
    /** 识别截图 */
    private List<String> pictureList;

    /** 识别截图排除列表 */
    private List <String> pictureNotList;
    /** 相对图片pic */
    private List<String> picUriList;

    /** 相对图片pic排除列表 */
    private List <String> picUriNotList;
    /** 图片资源唯一标识 */
    private List<String> serverIndexCodeList;

    /** 图片资源唯一标识排除列表 */
    private List <String> serverIndexCodeNotList;
    /** 事件id */
    private List<String> eventIdList;

    /** 事件id排除列表 */
    private List <String> eventIdNotList;
    /** 开始 事件类型 */
    private Long eventTypeStart;

    /** 结束 事件类型 */
    private Long eventTypeEnd;

    /** 增加 事件类型 */
    private Long eventTypeIncrement;

    /** 事件类型列表 */
    private List <Long> eventTypeList;

    /** 事件类型排除列表 */
    private List <Long> eventTypeNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<RealtimeDataflowQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<RealtimeDataflowQuery> andConditionList;

    public RealtimeDataflowQuery(){}

    /**
     * 获取 开始 主键ID，主键，自增长
     * @return idStart
     */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
     * 获取 结束 主键ID，主键，自增长
     * @return $idEnd
     */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
     * 获取 增加 主键ID，主键，自增长
     * @return idIncrement
     */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idList
     */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
     * 获取 主键ID，主键，自增长
     * @return idNotList
     */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
     * 获取 开始 站点Id
     * @return siteIdStart
     */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
     * 获取 结束 站点Id
     * @return $siteIdEnd
     */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
     * 获取 增加 站点Id
     * @return siteIdIncrement
     */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
     * 获取 站点Id
     * @return siteIdList
     */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
     * 获取 站点Id
     * @return siteIdNotList
     */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
     * 获取 站点名称
     * @return siteNameList
     */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
     * 获取 站点名称
     * @return siteNameNotList
     */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
     * 设置 站点名称
     * @param siteNameNotList
     */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
     * 获取 开始 人员id
     * @return personIdStart
     */
    public Long getPersonIdStart(){
        return this.personIdStart;
    }

    /**
     * 设置 开始 人员id
     * @param personIdStart
     */
    public void setPersonIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
    }

    /**
     * 获取 结束 人员id
     * @return $personIdEnd
     */
    public Long getPersonIdEnd(){
        return this.personIdEnd;
    }

    /**
     * 设置 结束 人员id
     * @param personIdEnd
     */
    public void setPersonIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
    }

    /**
     * 获取 增加 人员id
     * @return personIdIncrement
     */
    public Long getPersonIdIncrement(){
        return this.personIdIncrement;
    }

    /**
     * 设置 增加 人员id
     * @param personIdIncrement
     */
    public void setPersonIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
    }

    /**
     * 获取 人员id
     * @return personIdList
     */
    public List<Long> getPersonIdList(){
        return this.personIdList;
    }

    /**
     * 设置 人员id
     * @param personIdList
     */
    public void setPersonIdList(List<Long> personIdList){
        this.personIdList = personIdList;
    }

    /**
     * 获取 人员id
     * @return personIdNotList
     */
    public List<Long> getPersonIdNotList(){
        return this.personIdNotList;
    }

    /**
     * 设置 人员id
     * @param personIdNotList
     */
    public void setPersonIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
    }


    /**
     * 获取 姓名
     * @return nameList
     */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
     * 设置 姓名
     * @param nameList
     */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
     * 获取 姓名
     * @return nameNotList
     */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
     * 设置 姓名
     * @param nameNotList
     */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
     * 获取 监测设备
     * @return deviceList
     */
    public List<String> getDeviceList(){
        return this.deviceList;
    }

    /**
     * 设置 监测设备
     * @param deviceList
     */
    public void setDeviceList(List<String> deviceList){
        this.deviceList = deviceList;
    }

    /**
     * 获取 监测设备
     * @return deviceNotList
     */
    public List<String> getDeviceNotList(){
        return this.deviceNotList;
    }

    /**
     * 设置 监测设备
     * @param deviceNotList
     */
    public void setDeviceNotList(List<String> deviceNotList){
        this.deviceNotList = deviceNotList;
    }

    /**
     * 获取 开始 监测时间
     * @return detectTimeStart
     */
    public String getDetectTimeStart(){
        return this.detectTimeStart;
    }

    /**
     * 设置 开始 监测时间
     * @param detectTimeStart
     */
    public void setDetectTimeStart(String detectTimeStart){
        this.detectTimeStart = detectTimeStart;
    }

    /**
     * 获取 结束 监测时间
     * @return detectTimeEnd
     */
    public String getDetectTimeEnd(){
        return this.detectTimeEnd;
    }

    /**
     * 设置 结束 监测时间
     * @param detectTimeEnd
     */
    public void setDetectTimeEnd(String detectTimeEnd){
        this.detectTimeEnd = detectTimeEnd;
    }

    /**
     * 获取 联系方式
     * @return contactList
     */
    public List<String> getContactList(){
        return this.contactList;
    }

    /**
     * 设置 联系方式
     * @param contactList
     */
    public void setContactList(List<String> contactList){
        this.contactList = contactList;
    }

    /**
     * 获取 联系方式
     * @return contactNotList
     */
    public List<String> getContactNotList(){
        return this.contactNotList;
    }

    /**
     * 设置 联系方式
     * @param contactNotList
     */
    public void setContactNotList(List<String> contactNotList){
        this.contactNotList = contactNotList;
    }

    /**
     * 获取 身份证号码
     * @return idNumberList
     */
    public List<String> getIdNumberList(){
        return this.idNumberList;
    }

    /**
     * 设置 身份证号码
     * @param idNumberList
     */
    public void setIdNumberList(List<String> idNumberList){
        this.idNumberList = idNumberList;
    }

    /**
     * 获取 身份证号码
     * @return idNumberNotList
     */
    public List<String> getIdNumberNotList(){
        return this.idNumberNotList;
    }

    /**
     * 设置 身份证号码
     * @param idNumberNotList
     */
    public void setIdNumberNotList(List<String> idNumberNotList){
        this.idNumberNotList = idNumberNotList;
    }

    /**
     * 获取 开始 是否预约(0.否，1.是)
     * @return isBookingStart
     */
    public Integer getIsBookingStart(){
        return this.isBookingStart;
    }

    /**
     * 设置 开始 是否预约(0.否，1.是)
     * @param isBookingStart
     */
    public void setIsBookingStart(Integer isBookingStart){
        this.isBookingStart = isBookingStart;
    }

    /**
     * 获取 结束 是否预约(0.否，1.是)
     * @return $isBookingEnd
     */
    public Integer getIsBookingEnd(){
        return this.isBookingEnd;
    }

    /**
     * 设置 结束 是否预约(0.否，1.是)
     * @param isBookingEnd
     */
    public void setIsBookingEnd(Integer isBookingEnd){
        this.isBookingEnd = isBookingEnd;
    }

    /**
     * 获取 增加 是否预约(0.否，1.是)
     * @return isBookingIncrement
     */
    public Integer getIsBookingIncrement(){
        return this.isBookingIncrement;
    }

    /**
     * 设置 增加 是否预约(0.否，1.是)
     * @param isBookingIncrement
     */
    public void setIsBookingIncrement(Integer isBookingIncrement){
        this.isBookingIncrement = isBookingIncrement;
    }

    /**
     * 获取 是否预约(0.否，1.是)
     * @return isBookingList
     */
    public List<Integer> getIsBookingList(){
        return this.isBookingList;
    }

    /**
     * 设置 是否预约(0.否，1.是)
     * @param isBookingList
     */
    public void setIsBookingList(List<Integer> isBookingList){
        this.isBookingList = isBookingList;
    }

    /**
     * 获取 是否预约(0.否，1.是)
     * @return isBookingNotList
     */
    public List<Integer> getIsBookingNotList(){
        return this.isBookingNotList;
    }

    /**
     * 设置 是否预约(0.否，1.是)
     * @param isBookingNotList
     */
    public void setIsBookingNotList(List<Integer> isBookingNotList){
        this.isBookingNotList = isBookingNotList;
    }


    /**
     * 获取 排队编码
     * @return queueNumList
     */
    public List<String> getQueueNumList(){
        return this.queueNumList;
    }

    /**
     * 设置 排队编码
     * @param queueNumList
     */
    public void setQueueNumList(List<String> queueNumList){
        this.queueNumList = queueNumList;
    }

    /**
     * 获取 排队编码
     * @return queueNumNotList
     */
    public List<String> getQueueNumNotList(){
        return this.queueNumNotList;
    }

    /**
     * 设置 排队编码
     * @param queueNumNotList
     */
    public void setQueueNumNotList(List<String> queueNumNotList){
        this.queueNumNotList = queueNumNotList;
    }

    /**
     * 获取 办理位置
     * @return locationList
     */
    public List<String> getLocationList(){
        return this.locationList;
    }

    /**
     * 设置 办理位置
     * @param locationList
     */
    public void setLocationList(List<String> locationList){
        this.locationList = locationList;
    }

    /**
     * 获取 办理位置
     * @return locationNotList
     */
    public List<String> getLocationNotList(){
        return this.locationNotList;
    }

    /**
     * 设置 办理位置
     * @param locationNotList
     */
    public void setLocationNotList(List<String> locationNotList){
        this.locationNotList = locationNotList;
    }

    /**
     * 获取 识别截图
     * @return pictureList
     */
    public List<String> getPictureList(){
        return this.pictureList;
    }

    /**
     * 设置 识别截图
     * @param pictureList
     */
    public void setPictureList(List<String> pictureList){
        this.pictureList = pictureList;
    }

    /**
     * 获取 识别截图
     * @return pictureNotList
     */
    public List<String> getPictureNotList(){
        return this.pictureNotList;
    }

    /**
     * 设置 识别截图
     * @param pictureNotList
     */
    public void setPictureNotList(List<String> pictureNotList){
        this.pictureNotList = pictureNotList;
    }

    /**
     * 获取 相对图片pic
     * @return picUriList
     */
    public List<String> getPicUriList(){
        return this.picUriList;
    }

    /**
     * 设置 相对图片pic
     * @param picUriList
     */
    public void setPicUriList(List<String> picUriList){
        this.picUriList = picUriList;
    }

    /**
     * 获取 相对图片pic
     * @return picUriNotList
     */
    public List<String> getPicUriNotList(){
        return this.picUriNotList;
    }

    /**
     * 设置 相对图片pic
     * @param picUriNotList
     */
    public void setPicUriNotList(List<String> picUriNotList){
        this.picUriNotList = picUriNotList;
    }

    /**
     * 获取 图片资源唯一标识
     * @return serverIndexCodeList
     */
    public List<String> getServerIndexCodeList(){
        return this.serverIndexCodeList;
    }

    /**
     * 设置 图片资源唯一标识
     * @param serverIndexCodeList
     */
    public void setServerIndexCodeList(List<String> serverIndexCodeList){
        this.serverIndexCodeList = serverIndexCodeList;
    }

    /**
     * 获取 图片资源唯一标识
     * @return serverIndexCodeNotList
     */
    public List<String> getServerIndexCodeNotList(){
        return this.serverIndexCodeNotList;
    }

    /**
     * 设置 图片资源唯一标识
     * @param serverIndexCodeNotList
     */
    public void setServerIndexCodeNotList(List<String> serverIndexCodeNotList){
        this.serverIndexCodeNotList = serverIndexCodeNotList;
    }

    /**
     * 获取 事件id
     * @return eventIdList
     */
    public List<String> getEventIdList(){
        return this.eventIdList;
    }

    /**
     * 设置 事件id
     * @param eventIdList
     */
    public void setEventIdList(List<String> eventIdList){
        this.eventIdList = eventIdList;
    }

    /**
     * 获取 事件id
     * @return eventIdNotList
     */
    public List<String> getEventIdNotList(){
        return this.eventIdNotList;
    }

    /**
     * 设置 事件id
     * @param eventIdNotList
     */
    public void setEventIdNotList(List<String> eventIdNotList){
        this.eventIdNotList = eventIdNotList;
    }

    /**
     * 获取 开始 事件类型
     * @return eventTypeStart
     */
    public Long getEventTypeStart(){
        return this.eventTypeStart;
    }

    /**
     * 设置 开始 事件类型
     * @param eventTypeStart
     */
    public void setEventTypeStart(Long eventTypeStart){
        this.eventTypeStart = eventTypeStart;
    }

    /**
     * 获取 结束 事件类型
     * @return $eventTypeEnd
     */
    public Long getEventTypeEnd(){
        return this.eventTypeEnd;
    }

    /**
     * 设置 结束 事件类型
     * @param eventTypeEnd
     */
    public void setEventTypeEnd(Long eventTypeEnd){
        this.eventTypeEnd = eventTypeEnd;
    }

    /**
     * 获取 增加 事件类型
     * @return eventTypeIncrement
     */
    public Long getEventTypeIncrement(){
        return this.eventTypeIncrement;
    }

    /**
     * 设置 增加 事件类型
     * @param eventTypeIncrement
     */
    public void setEventTypeIncrement(Long eventTypeIncrement){
        this.eventTypeIncrement = eventTypeIncrement;
    }

    /**
     * 获取 事件类型
     * @return eventTypeList
     */
    public List<Long> getEventTypeList(){
        return this.eventTypeList;
    }

    /**
     * 设置 事件类型
     * @param eventTypeList
     */
    public void setEventTypeList(List<Long> eventTypeList){
        this.eventTypeList = eventTypeList;
    }

    /**
     * 获取 事件类型
     * @return eventTypeNotList
     */
    public List<Long> getEventTypeNotList(){
        return this.eventTypeNotList;
    }

    /**
     * 设置 事件类型
     * @param eventTypeNotList
     */
    public void setEventTypeNotList(List<Long> eventTypeNotList){
        this.eventTypeNotList = eventTypeNotList;
    }


    /**
     * 获取 开始 创建时间
     * @return createTimeStart
     */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
     * 设置 开始 创建时间
     * @param createTimeStart
     */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
     * 获取 结束 创建时间
     * @return createTimeEnd
     */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
     * 设置 结束 创建时间
     * @param createTimeEnd
     */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
     * 获取 开始 创建人id
     * @return createUserIdStart
     */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
     * 设置 开始 创建人id
     * @param createUserIdStart
     */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
     * 获取 结束 创建人id
     * @return $createUserIdEnd
     */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
     * 设置 结束 创建人id
     * @param createUserIdEnd
     */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
     * 获取 增加 创建人id
     * @return createUserIdIncrement
     */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
     * 设置 增加 创建人id
     * @param createUserIdIncrement
     */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
     * 获取 创建人id
     * @return createUserIdList
     */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
     * 设置 创建人id
     * @param createUserIdList
     */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
     * 获取 创建人id
     * @return createUserIdNotList
     */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
     * 设置 创建人id
     * @param createUserIdNotList
     */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
     * 获取 开始 更新时间
     * @return updateTimeStart
     */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
     * 设置 开始 更新时间
     * @param updateTimeStart
     */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
     * 获取 结束 更新时间
     * @return updateTimeEnd
     */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
     * 设置 结束 更新时间
     * @param updateTimeEnd
     */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
     * 获取 开始 更新人id
     * @return updateUserIdStart
     */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
     * 设置 开始 更新人id
     * @param updateUserIdStart
     */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
     * 获取 结束 更新人id
     * @return $updateUserIdEnd
     */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
     * 设置 结束 更新人id
     * @param updateUserIdEnd
     */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
     * 获取 增加 更新人id
     * @return updateUserIdIncrement
     */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
     * 设置 增加 更新人id
     * @param updateUserIdIncrement
     */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
     * 获取 更新人id
     * @return updateUserIdList
     */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdList
     */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
     * 获取 更新人id
     * @return updateUserIdNotList
     */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdNotList
     */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
     * 设置  主键ID，主键，自增长
     * @param id
     */
    public RealtimeDataflowQuery id(Long id){
        setId(id);
        return this;
    }

    /**
     * 设置 开始 主键ID，主键，自增长
     * @param idStart
     */
    public RealtimeDataflowQuery idStart(Long idStart){
        this.idStart = idStart;
        return this;
    }

    /**
     * 设置 结束 主键ID，主键，自增长
     * @param idEnd
     */
    public RealtimeDataflowQuery idEnd(Long idEnd){
        this.idEnd = idEnd;
        return this;
    }

    /**
     * 设置 增加 主键ID，主键，自增长
     * @param idIncrement
     */
    public RealtimeDataflowQuery idIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idList
     */
    public RealtimeDataflowQuery idList(List<Long> idList){
        this.idList = idList;
        return this;
    }

    /**
     * 设置 主键ID，主键，自增长
     * @param idNotList
     */
    public RealtimeDataflowQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
    }

    /**
     * 设置  站点Id
     * @param siteId
     */
    public RealtimeDataflowQuery siteId(Long siteId){
        setSiteId(siteId);
        return this;
    }

    /**
     * 设置 开始 站点Id
     * @param siteIdStart
     */
    public RealtimeDataflowQuery siteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
        return this;
    }

    /**
     * 设置 结束 站点Id
     * @param siteIdEnd
     */
    public RealtimeDataflowQuery siteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
        return this;
    }

    /**
     * 设置 增加 站点Id
     * @param siteIdIncrement
     */
    public RealtimeDataflowQuery siteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdList
     */
    public RealtimeDataflowQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
        return this;
    }

    /**
     * 设置 站点Id
     * @param siteIdNotList
     */
    public RealtimeDataflowQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
    }


    /**
     * 设置 站点名称
     * @param siteName
     */
    public RealtimeDataflowQuery siteName(String siteName){
        setSiteName(siteName);
        return this;
    }

    /**
     * 设置 站点名称
     * @param siteNameList
     */
    public RealtimeDataflowQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
        return this;
    }

    /**
     * 设置  人员id
     * @param personId
     */
    public RealtimeDataflowQuery personId(Long personId){
        setPersonId(personId);
        return this;
    }

    /**
     * 设置 开始 人员id
     * @param personIdStart
     */
    public RealtimeDataflowQuery personIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
        return this;
    }

    /**
     * 设置 结束 人员id
     * @param personIdEnd
     */
    public RealtimeDataflowQuery personIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
        return this;
    }

    /**
     * 设置 增加 人员id
     * @param personIdIncrement
     */
    public RealtimeDataflowQuery personIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
        return this;
    }

    /**
     * 设置 人员id
     * @param personIdList
     */
    public RealtimeDataflowQuery personIdList(List<Long> personIdList){
        this.personIdList = personIdList;
        return this;
    }

    /**
     * 设置 人员id
     * @param personIdNotList
     */
    public RealtimeDataflowQuery personIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
        return this;
    }


    /**
     * 设置 姓名
     * @param name
     */
    public RealtimeDataflowQuery name(String name){
        setName(name);
        return this;
    }

    /**
     * 设置 姓名
     * @param nameList
     */
    public RealtimeDataflowQuery nameList(List<String> nameList){
        this.nameList = nameList;
        return this;
    }


    /**
     * 设置 监测设备
     * @param device
     */
    public RealtimeDataflowQuery device(String device){
        setDevice(device);
        return this;
    }

    /**
     * 设置 监测设备
     * @param deviceList
     */
    public RealtimeDataflowQuery deviceList(List<String> deviceList){
        this.deviceList = deviceList;
        return this;
    }



    /**
     * 设置 联系方式
     * @param contact
     */
    public RealtimeDataflowQuery contact(String contact){
        setContact(contact);
        return this;
    }

    /**
     * 设置 联系方式
     * @param contactList
     */
    public RealtimeDataflowQuery contactList(List<String> contactList){
        this.contactList = contactList;
        return this;
    }


    /**
     * 设置 身份证号码
     * @param idNumber
     */
    public RealtimeDataflowQuery idNumber(String idNumber){
        setIdNumber(idNumber);
        return this;
    }

    /**
     * 设置 身份证号码
     * @param idNumberList
     */
    public RealtimeDataflowQuery idNumberList(List<String> idNumberList){
        this.idNumberList = idNumberList;
        return this;
    }

    /**
     * 设置  是否预约(0.否，1.是)
     * @param isBooking
     */
    public RealtimeDataflowQuery isBooking(Integer isBooking){
        setIsBooking(isBooking);
        return this;
    }

    /**
     * 设置 开始 是否预约(0.否，1.是)
     * @param isBookingStart
     */
    public RealtimeDataflowQuery isBookingStart(Integer isBookingStart){
        this.isBookingStart = isBookingStart;
        return this;
    }

    /**
     * 设置 结束 是否预约(0.否，1.是)
     * @param isBookingEnd
     */
    public RealtimeDataflowQuery isBookingEnd(Integer isBookingEnd){
        this.isBookingEnd = isBookingEnd;
        return this;
    }

    /**
     * 设置 增加 是否预约(0.否，1.是)
     * @param isBookingIncrement
     */
    public RealtimeDataflowQuery isBookingIncrement(Integer isBookingIncrement){
        this.isBookingIncrement = isBookingIncrement;
        return this;
    }

    /**
     * 设置 是否预约(0.否，1.是)
     * @param isBookingList
     */
    public RealtimeDataflowQuery isBookingList(List<Integer> isBookingList){
        this.isBookingList = isBookingList;
        return this;
    }

    /**
     * 设置 是否预约(0.否，1.是)
     * @param isBookingNotList
     */
    public RealtimeDataflowQuery isBookingNotList(List<Integer> isBookingNotList){
        this.isBookingNotList = isBookingNotList;
        return this;
    }


    /**
     * 设置 排队编码
     * @param queueNum
     */
    public RealtimeDataflowQuery queueNum(String queueNum){
        setQueueNum(queueNum);
        return this;
    }

    /**
     * 设置 排队编码
     * @param queueNumList
     */
    public RealtimeDataflowQuery queueNumList(List<String> queueNumList){
        this.queueNumList = queueNumList;
        return this;
    }


    /**
     * 设置 办理位置
     * @param location
     */
    public RealtimeDataflowQuery location(String location){
        setLocation(location);
        return this;
    }

    /**
     * 设置 办理位置
     * @param locationList
     */
    public RealtimeDataflowQuery locationList(List<String> locationList){
        this.locationList = locationList;
        return this;
    }


    /**
     * 设置 识别截图
     * @param picture
     */
    public RealtimeDataflowQuery picture(String picture){
        setPicture(picture);
        return this;
    }

    /**
     * 设置 识别截图
     * @param pictureList
     */
    public RealtimeDataflowQuery pictureList(List<String> pictureList){
        this.pictureList = pictureList;
        return this;
    }


    /**
     * 设置 相对图片pic
     * @param picUri
     */
    public RealtimeDataflowQuery picUri(String picUri){
        setPicUri(picUri);
        return this;
    }

    /**
     * 设置 相对图片pic
     * @param picUriList
     */
    public RealtimeDataflowQuery picUriList(List<String> picUriList){
        this.picUriList = picUriList;
        return this;
    }


    /**
     * 设置 图片资源唯一标识
     * @param serverIndexCode
     */
    public RealtimeDataflowQuery serverIndexCode(String serverIndexCode){
        setServerIndexCode(serverIndexCode);
        return this;
    }

    /**
     * 设置 图片资源唯一标识
     * @param serverIndexCodeList
     */
    public RealtimeDataflowQuery serverIndexCodeList(List<String> serverIndexCodeList){
        this.serverIndexCodeList = serverIndexCodeList;
        return this;
    }


    /**
     * 设置 事件id
     * @param eventId
     */
    public RealtimeDataflowQuery eventId(String eventId){
        setEventId(eventId);
        return this;
    }

    /**
     * 设置 事件id
     * @param eventIdList
     */
    public RealtimeDataflowQuery eventIdList(List<String> eventIdList){
        this.eventIdList = eventIdList;
        return this;
    }

    /**
     * 设置  事件类型
     * @param eventType
     */
    public RealtimeDataflowQuery eventType(Long eventType){
        setEventType(eventType);
        return this;
    }

    /**
     * 设置 开始 事件类型
     * @param eventTypeStart
     */
    public RealtimeDataflowQuery eventTypeStart(Long eventTypeStart){
        this.eventTypeStart = eventTypeStart;
        return this;
    }

    /**
     * 设置 结束 事件类型
     * @param eventTypeEnd
     */
    public RealtimeDataflowQuery eventTypeEnd(Long eventTypeEnd){
        this.eventTypeEnd = eventTypeEnd;
        return this;
    }

    /**
     * 设置 增加 事件类型
     * @param eventTypeIncrement
     */
    public RealtimeDataflowQuery eventTypeIncrement(Long eventTypeIncrement){
        this.eventTypeIncrement = eventTypeIncrement;
        return this;
    }

    /**
     * 设置 事件类型
     * @param eventTypeList
     */
    public RealtimeDataflowQuery eventTypeList(List<Long> eventTypeList){
        this.eventTypeList = eventTypeList;
        return this;
    }

    /**
     * 设置 事件类型
     * @param eventTypeNotList
     */
    public RealtimeDataflowQuery eventTypeNotList(List<Long> eventTypeNotList){
        this.eventTypeNotList = eventTypeNotList;
        return this;
    }


    /**
     * 设置  创建人id
     * @param createUserId
     */
    public RealtimeDataflowQuery createUserId(Long createUserId){
        setCreateUserId(createUserId);
        return this;
    }

    /**
     * 设置 开始 创建人id
     * @param createUserIdStart
     */
    public RealtimeDataflowQuery createUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
        return this;
    }

    /**
     * 设置 结束 创建人id
     * @param createUserIdEnd
     */
    public RealtimeDataflowQuery createUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 创建人id
     * @param createUserIdIncrement
     */
    public RealtimeDataflowQuery createUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
        return this;
    }

    /**
     * 设置 创建人id
     * @param createUserIdList
     */
    public RealtimeDataflowQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
        return this;
    }

    /**
     * 设置 创建人id
     * @param createUserIdNotList
     */
    public RealtimeDataflowQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
    }


    /**
     * 设置  更新人id
     * @param updateUserId
     */
    public RealtimeDataflowQuery updateUserId(Long updateUserId){
        setUpdateUserId(updateUserId);
        return this;
    }

    /**
     * 设置 开始 更新人id
     * @param updateUserIdStart
     */
    public RealtimeDataflowQuery updateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
        return this;
    }

    /**
     * 设置 结束 更新人id
     * @param updateUserIdEnd
     */
    public RealtimeDataflowQuery updateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
        return this;
    }

    /**
     * 设置 增加 更新人id
     * @param updateUserIdIncrement
     */
    public RealtimeDataflowQuery updateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
        return this;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdList
     */
    public RealtimeDataflowQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
        return this;
    }

    /**
     * 设置 更新人id
     * @param updateUserIdNotList
     */
    public RealtimeDataflowQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
    }

    /**
     * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @return orConditionList
     */
    public List<RealtimeDataflowQuery> getOrConditionList(){
        return this.orConditionList;
    }

    /**
     * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
     * @param orConditionList
     */
    public void setOrConditionList(List<RealtimeDataflowQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
     * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @return andConditionList
     */
    public List<RealtimeDataflowQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
     * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
     * @param andConditionList
     */
    public void setAndConditionList(List<RealtimeDataflowQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}